using System;
using System.Windows.Controls;
using System.Windows.Input;

namespace SLPrismApplicationForClickCommand
{
    public class CommandBehaviorBase<T> 
        where T: Control
    {
        private ICommand command;

        public ICommand Command
        {
            get { return command; }
            set
            {
                this.command = value;
            }
        }

        protected virtual void ExecuteCommand()
        {
            if (this.Command != null)
            {
                this.Command.Execute(null);
            }
        }
    }
}